<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_sitestats_banner.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

// Turn off all error reporting
//error_reporting(0);
// Report all PHP errors (see changelog)
error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

include_once INFUSIONS."mg_sitestats_banner/includes/functions.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_sitestats_banner/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_sitestats_banner/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_sitestats_banner/locale/German.php";
}

if (iMEMBER) {
add_to_head("
<link rel='stylesheet' type='text/css' href='".INFUSIONS."mg_sitestats_banner/includes/style.css' />\n
");

$siteurl = $settings['siteurl'];
$sitename = $settings['sitename'];
$version = $settings['version'];

opentable($locale['MG_STATS_desc']);
echo "<div style='text-align: center;'>";
	$name = make_filename($userdata['user_name'], $userdata['user_id']);
	if (isset($_POST['create_user_sig'])) {
		$banner_font = stripinput($_POST['banner_font']);
		$banner_image = stripinput($_POST['banner_image']);
		$titel_color = stripinput($_POST['titel_color']);
		$titel_r = hexdec(substr($titel_color, 0, 2));
		$titel_g = hexdec(substr($titel_color, 2, 2));
		$titel_b = hexdec(substr($titel_color, 4, 2));
		$text_color = stripinput($_POST['text_color']);
		$text_r = hexdec(substr($text_color, 0, 2));
		$text_g = hexdec(substr($text_color, 2, 2));
		$text_b = hexdec(substr($text_color, 4, 2));
		$wert_color = stripinput($_POST['wert_color']);
		$wert_r = hexdec(substr($wert_color, 0, 2));
		$wert_g = hexdec(substr($wert_color, 2, 2));
		$wert_b = hexdec(substr($wert_color, 4, 2));
		mkdir(BASEDIR."signaturen/".$name.".png", 0777);
		$new_index_php = fopen(BASEDIR."signaturen/".$name.".png/index.php", "w+");
		$daten = "<?php\n";
		$daten .= "/*-------------------------------------------------------+\n";
		$daten .= "| PHP-Fusion Content Management System\n";
		$daten .= "| Copyright (C) 2002 - 2009 Nick Jones\n";
		$daten .= "| http://www.php-fusion.co.uk/\n";
		$daten .= "+--------------------------------------------------------+\n";
		$daten .= "| Filename: index.php\n";
		$daten .= "| Creates User Stats Banner\n";
		$daten .= "| Author: MarcusG\n";
		$daten .= "+--------------------------------------------------------+\n";
		$daten .= "| This program is released as free software under the\n";
		$daten .= "| Affero GPL license. You can redistribute it and/or\n";
		$daten .= "| modify it under the terms of this license which you\n";
		$daten .= "| can read by viewing the included agpl.txt or online\n";
		$daten .= "| at www.gnu.org/licenses/agpl.html. Removal of this\n";
		$daten .= "| copyright header is strictly prohibited without\n";
		$daten .= "| written permission from the original author(s).\n";
		$daten .= "+--------------------------------------------------------*/\n";
		$daten .= "require_once \"../../maincore.php\";\n\n";
		$daten .= "// Check if locale file is available matching the current site locale setting.\n";
		$daten .= "if (file_exists(INFUSIONS.\"mg_sitestats_banner/locale/\".\$settings['locale'].\".php\")) {\n";
		$daten .= "\t// Load the locale file matching the current site locale setting.\n";
		$daten .= "\tinclude INFUSIONS.\"mg_sitestats_banner/locale/\".\$settings['locale'].\".php\";\n";
		$daten .= "} else {\n";
		$daten .= "\t// Load the infusion's default locale file.\n";
		$daten .= "\tinclude INFUSIONS.\"mg_sitestats_banner/locale/German.php\";\n";
		$daten .= "}\n\n";
		$daten .= "//USER_ID OF BANNER STATISTIC:\n";
		$daten .= "\$stats_user = \"".$userdata['user_id']."\";\n\n";
		$daten .= "//BACKGROUND-IMAGE\n";
		$daten .= "\$width = 300;\n";
		$daten .= "\$height = 60;\n\n";
		$daten .= "\$image = \"../user/".$banner_image."\";\n\n";
		$daten .= "//FONT\n";
		$daten .= "\$font = \"../fonts/".$banner_font.".ttf\";\n";
		$daten .= "\$font_size = 8;\n\n";
		$daten .= "\$im=imagecreatetruecolor(\$width,\$height);\n\n";
		$daten .= "//COLORS\n";
		$daten .= "\$titel_color  = ImageColorAllocate (\$im, ".$titel_r.", ".$titel_g.", ".$titel_b.");\n";
		$daten .= "\$text_color  = ImageColorAllocate (\$im, ".$text_r.", ".$text_g.", ".$text_b.");\n";
		$daten .= "\$wert_color  = ImageColorAllocate (\$im, ".$wert_r.", ".$wert_g.", ".$wert_b.");\n";
		$daten .= "\$white = ImageColorAllocate (\$im, 255, 255, 255);\n";
		$daten .= "imagefill(\$im, 0, 0, \$white);\n";
		$daten .= "imagecolortransparent(\$im);\n";
		$daten .= "\$srcimage=imagecreatefrompng(\$image);\n";
		$daten .= "imagecopyresampled(\$im,\$srcimage,0,0,0,0, \$width,\$height,\$width,\$height);\n\n";
		$daten .= "//VERSION + SITENAME\n";
		$daten .= "\$version = \$settings['version'];\n";
		$daten .= "\$sitename = \"\".\$settings['sitename'].\"\";\n";
		$daten .= "\$sitename_v = \"\".\$settings['sitename'].\" - v\".\$settings['version'].\"\";\n\n";
		$daten .= "//My User\n";
		$daten .= "\$result = dbquery(\"SELECT user_name FROM \".DB_USERS.\" WHERE user_id='\".\$stats_user.\"'\");\n";
		$daten .= "\$my_user = dbarray(\$result);\n";
		$daten .= "\$my_username = \$my_user['user_name'];\n";
		$daten .= "\$my_username_text = \$locale['MG_STATS_img01'];\n";
		$daten .= "\$my_username_box = imagettfbbox(\$font_size, 0, \$font, \$my_username_text);\n";
		$daten .= "\$my_username_min_x = min( array(\$my_username_box[0], \$my_username_box[2], \$my_username_box[4], \$my_username_box[6]) );\n";
		$daten .= "\$my_username_max_x = max( array(\$my_username_box[0], \$my_username_box[2], \$my_username_box[4], \$my_username_box[6]) );\n";
		$daten .= "\$my_username_width = ( \$my_username_max_x - \$my_username_min_x );\n";
		$daten .= "\$my_username_x = \$my_username_width + 4;\n\n";
		$daten .= "//Comments\n";
		$daten .= "\$comments = dbquery(\"SELECT COUNT(comment_name) FROM \".DB_COMMENTS.\"\n";
		$daten .= "\tLEFT JOIN \".DB_USERS.\" ON comment_name=user_id WHERE user_id='\".\$stats_user.\"'\");\n";
		$daten .= "\$my_comments = (dbresult(\$comments,0) == false ? \"0\" : dbresult(\$comments,0));\n";
		$daten .= "\$my_comments_text = \$locale['MG_STATS_img04'];\n";
		$daten .= "\$my_comments_box = imagettfbbox(\$font_size, 0, \$font, \$my_comments_text);\n";
		$daten .= "\$my_comments_min_x = min( array(\$my_comments_box[0], \$my_comments_box[2], \$my_comments_box[4], \$my_comments_box[6]) );\n";
		$daten .= "\$my_comments_max_x = max( array(\$my_comments_box[0], \$my_comments_box[2], \$my_comments_box[4], \$my_comments_box[6]) );\n";
		$daten .= "\$my_comments_width = ( \$my_comments_max_x - \$my_comments_min_x );\n";
		$daten .= "\$my_comments_x = \$my_comments_width + 4;\n\n";
		$daten .= "//Joined\n";
		$daten .= "\$result = dbquery(\"SELECT user_joined FROM \".DB_USERS.\" WHERE user_id='\".\$stats_user.\"'\");\n";
		$daten .= "\$joined = dbarray(\$result);\n";
		$daten .= "\$me_joined = \"\".showdate(\"%d.%m.%y\", \$joined['user_joined']).\"\";\n";
		$daten .= "\$me_joined_text = \$locale['MG_STATS_img03'];\n";
		$daten .= "\$me_joined_box = imagettfbbox(\$font_size, 0, \$font, \$me_joined_text);\n";
		$daten .= "\$me_joined_min_x = min( array(\$me_joined_box[0], \$me_joined_box[2], \$me_joined_box[4], \$me_joined_box[6]) );\n";
		$daten .= "\$me_joined_max_x = max( array(\$me_joined_box[0], \$me_joined_box[2], \$me_joined_box[4], \$me_joined_box[6]) );\n";
		$daten .= "\$me_joined_width = ( \$me_joined_max_x - \$me_joined_min_x );\n";
		$daten .= "\$me_joined_x = \$me_joined_width + 4;\n\n";
		$daten .= "//My Posts\n";
		$daten .= "\$result = dbquery(\"SELECT user_posts FROM \".DB_USERS.\" WHERE user_id='\".\$stats_user.\"'\");\n";
		$daten .= "\$posts = dbarray(\$result);\n";
		$daten .= "\$my_posts = \$posts['user_posts'];\n";
		$daten .= "\$my_posts_text = \$locale['MG_STATS_img02'];\n";
		$daten .= "\$my_posts_box = imagettfbbox(\$font_size, 0, \$font, \$my_posts_text);\n";
		$daten .= "\$my_posts_min_x = min( array(\$my_posts_box[0], \$my_posts_box[2], \$my_posts_box[4], \$my_posts_box[6]) );\n";
		$daten .= "\$my_posts_max_x = max( array(\$my_posts_box[0], \$my_posts_box[2], \$my_posts_box[4], \$my_posts_box[6]) );\n";
		$daten .= "\$my_posts_width = ( \$my_posts_max_x - \$my_posts_min_x );\n";
		$daten .= "\$my_posts_x = \$my_posts_width + 4;\n\n";
		$daten .= "//My Threads\n";
		$daten .= "\$threads = dbquery(\"SELECT COUNT(thread_author) FROM \".DB_THREADS.\"\n";
		$daten .= "\tLEFT JOIN \".DB_USERS.\" ON thread_author=user_id WHERE user_id='\".\$stats_user.\"'\");\n";
		$daten .= "\$my_threads = (dbresult(\$threads,0) == false ? \"0\" : dbresult(\$threads,0));\n";
		$daten .= "\$my_threads_text = \$locale['MG_STATS_img05'];\n";
		$daten .= "\$my_threads_box = imagettfbbox(\$font_size, 0, \$font, \$my_threads_text);\n";
		$daten .= "\$my_threads_min_x = min( array(\$my_threads_box[0], \$my_threads_box[2], \$my_threads_box[4], \$my_threads_box[6]) );\n";
		$daten .= "\$my_threads_max_x = max( array(\$my_threads_box[0], \$my_threads_box[2], \$my_threads_box[4], \$my_threads_box[6]) );\n";
		$daten .= "\$my_threads_width = ( \$my_threads_max_x - \$my_threads_min_x );\n";
		$daten .= "\$my_threads_x = \$my_threads_width + 4;\n\n";
		$daten .= "//My Shouts\n";
		$daten .= "\$shouts = dbquery(\"SELECT COUNT(shout_name) FROM \".DB_SHOUTBOX.\"\n";
		$daten .= "\tLEFT JOIN \".DB_USERS.\" ON shout_name=user_id WHERE user_id='\".\$stats_user.\"'\");\n";
		$daten .= "\$my_shouts = (dbresult(\$shouts,0) == false ? \"0\" : dbresult(\$shouts,0));\n";
		$daten .= "\$my_shouts_text = \$locale['MG_STATS_img06'];\n";
		$daten .= "\$my_shouts_box = imagettfbbox(\$font_size, 0, \$font, \$my_shouts_text);\n";
		$daten .= "\$my_shouts_min_x = min( array(\$my_shouts_box[0], \$my_shouts_box[2], \$my_shouts_box[4], \$my_shouts_box[6]) );\n";
		$daten .= "\$my_shouts_max_x = max( array(\$my_shouts_box[0], \$my_shouts_box[2], \$my_shouts_box[4], \$my_shouts_box[6]) );\n";
		$daten .= "\$my_shouts_width = ( \$my_shouts_max_x - \$my_shouts_min_x );\n";
		$daten .= "\$my_shouts_x = \$my_shouts_width + 4;\n\n";
		$daten .= "//Apply Text\n";
		$daten .= "ImageTTFText (\$im, \$font_size + 1, 0, 2, 12, \$titel_color, \$font, \$sitename);\n";
		$daten .= "ImageTTFText (\$im, 6, 0, 270, 12, \$wert_color, \$font, \$version);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 16, 26, \$text_color, \$font, \$my_username_text);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 16 + \$my_username_x, 26, \$wert_color, \$font, \$my_username);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 177, 26, \$text_color, \$font, \$my_comments_text);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 177 + \$my_comments_x, 26, \$wert_color, \$font, \$my_comments);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 16, 41, \$text_color, \$font, \$me_joined_text);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 16 + \$me_joined_x, 41, \$wert_color, \$font, \$me_joined);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 177, 41, \$text_color, \$font, \$my_posts_text);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 177 + \$my_posts_x, 41, \$wert_color, \$font, \$my_posts);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 16, 56, \$text_color, \$font, \$my_threads_text);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 16 + \$my_threads_x, 56, \$wert_color, \$font, \$my_threads);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 177, 56, \$text_color, \$font, \$my_shouts_text);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 177 + \$my_shouts_x, 56, \$wert_color, \$font, \$my_shouts);\n\n";
		$daten .= "//Render Image\n";
		$daten .= "header(\"Content-Type: image/png\");\n";
		$daten .= "Imagepng(\$im);\n";
		$daten .= "ImageDestroy (\$im); \n";
		$daten .= "\n";
		$daten .= "?>";

		rewind($new_index_php); 
		fwrite($new_index_php, $daten); 
		fclose($new_index_php);
		chmod(BASEDIR."signaturen/".$name.".png/index.php", 0777);
		redirect(FUSION_SELF);

	} elseif (isset($_POST['create_admin_sig'])) {
		$admin_font = stripinput($_POST['admin_font']);
		$admin_banner_image = stripinput($_POST['admin_banner_image']);
		$admin_titel_color = stripinput($_POST['admin_titel_color']);
		$admin_titel_r = hexdec(substr($admin_titel_color, 0, 2));
		$admin_titel_g = hexdec(substr($admin_titel_color, 2, 2));
		$admin_titel_b = hexdec(substr($admin_titel_color, 4, 2));
		$admin_text_color = stripinput($_POST['admin_text_color']);
		$admin_text_r = hexdec(substr($admin_text_color, 0, 2));
		$admin_text_g = hexdec(substr($admin_text_color, 2, 2));
		$admin_text_b = hexdec(substr($admin_text_color, 4, 2));
		$admin_wert_color = stripinput($_POST['admin_wert_color']);
		$admin_wert_r = hexdec(substr($admin_wert_color, 0, 2));
		$admin_wert_g = hexdec(substr($admin_wert_color, 2, 2));
		$admin_wert_b = hexdec(substr($admin_wert_color, 4, 2));
		mkdir(BASEDIR."signaturen/".$name.".png", 0777);
		$new_index_php = fopen(BASEDIR."signaturen/".$name.".png/index.php", "w+");
		$daten = "<?php\n";
		$daten .= "/*-------------------------------------------------------+\n";
		$daten .= "| PHP-Fusion Content Management System\n";
		$daten .= "| Copyright (C) 2002 - 2009 Nick Jones\n";
		$daten .= "| http://www.php-fusion.co.uk/\n";
		$daten .= "+--------------------------------------------------------+\n";
		$daten .= "| Filename: index.php\n";
		$daten .= "| Creates Site Stats Banner\n";
		$daten .= "| Author: MarcusG\n";
		$daten .= "+--------------------------------------------------------+\n";
		$daten .= "| This program is released as free software under the\n";
		$daten .= "| Affero GPL license. You can redistribute it and/or\n";
		$daten .= "| modify it under the terms of this license which you\n";
		$daten .= "| can read by viewing the included agpl.txt or online\n";
		$daten .= "| at www.gnu.org/licenses/agpl.html. Removal of this\n";
		$daten .= "| copyright header is strictly prohibited without\n";
		$daten .= "| written permission from the original author(s).\n";
		$daten .= "+--------------------------------------------------------*/\n";
		$daten .= "require_once \"../../maincore.php\";\n\n";
		$daten .= "// Check if locale file is available matching the current site locale setting.\n";
		$daten .= "if (file_exists(INFUSIONS.\"mg_sitestats_banner/locale/\".\$settings['locale'].\".php\")) {\n";
		$daten .= "\t// Load the locale file matching the current site locale setting.\n";
		$daten .= "\tinclude INFUSIONS.\"mg_sitestats_banner/locale/\".\$settings['locale'].\".php\";\n";
		$daten .= "} else {\n";
		$daten .= "\t// Load the infusion's default locale file.\n";
		$daten .= "\tinclude INFUSIONS.\"mg_sitestats_banner/locale/German.php\";\n";
		$daten .= "}\n\n";
		$daten .= "//USER_ID OF BANNER STATISTIC:\n";
		$daten .= "\$stats_user = \"".$userdata['user_id']."\";\n\n";
		$daten .= "//BACKGROUND-IMAGE\n";
		$daten .= "\$width = 300;\n";
		$daten .= "\$height = 60;\n\n";
		$daten .= "\$image = \"../admin/".$admin_banner_image."\";\n\n";
		$daten .= "//FONT\n";
		$daten .= "\$font = \"../fonts/".$admin_font.".ttf\";\n";
		$daten .= "\$font_size = 8;\n\n";
		$daten .= "\$im=imagecreatetruecolor(\$width,\$height);\n\n";
		$daten .= "//COLORS\n";
		$daten .= "\$titel_color  = ImageColorAllocate (\$im, ".$admin_titel_r.", ".$admin_titel_g.", ".$admin_titel_b.");\n";
		$daten .= "\$text_color  = ImageColorAllocate (\$im, ".$admin_text_r.", ".$admin_text_g.", ".$admin_text_b.");\n";
		$daten .= "\$wert_color  = ImageColorAllocate (\$im, ".$admin_wert_r.", ".$admin_wert_g.", ".$admin_wert_b.");\n";
		$daten .= "\$white = ImageColorAllocate (\$im, 255, 255, 255);\n";
		$daten .= "imagefill(\$im, 0, 0, \$white);\n";
		$daten .= "imagecolortransparent(\$im);\n";
		$daten .= "\$srcimage=imagecreatefrompng(\$image);\n";
		$daten .= "imagecopyresampled(\$im,\$srcimage,0,0,0,0, \$width,\$height,\$width,\$height);\n\n";
		$daten .= "//VERSION + SITENAME\n";
		$daten .= "\$version = \$settings['version'];\n";
		$daten .= "\$sitename = \"\".\$settings['sitename'].\"\";\n";
		$daten .= "\$sitename_v = \"\".\$settings['sitename'].\" - v\".\$settings['version'].\"\";\n\n";
		$daten .= "//Users total\n";
		$daten .= "\$total_users = dbcount(\"(user_id)\", DB_USERS);\n";
		$daten .= "\$users_text = \$locale['MG_STATS_img07'];\n";
		$daten .= "\$users_box = imagettfbbox(\$font_size, 0, \$font, \$users_text);\n";
		$daten .= "\$users_min_x = min( array(\$users_box[0], \$users_box[2], \$users_box[4], \$users_box[6]) );\n";
		$daten .= "\$users_max_x = max( array(\$users_box[0], \$users_box[2], \$users_box[4], \$users_box[6]) );\n";
		$daten .= "\$users_width  = ( \$users_max_x - \$users_min_x );\n";
		$daten .= "\$users_x = \$users_width + 4;\n\n";
		$daten .= "// Newest User\n";
		$daten .= "\$data = dbarray(dbquery(\"SELECT user_name FROM \".DB_USERS.\" WHERE user_status='0' ORDER BY user_joined DESC LIMIT 0,1\"));\n";
		$daten .= "\$newest_user = \$data['user_name'];\n";
		$daten .= "\$newest_text = \$locale['MG_STATS_img08'];\n";
		$daten .= "\$newest_box = imagettfbbox(\$font_size, 0, \$font, \$newest_text);\n";
		$daten .= "\$newest_min_x = min( array(\$newest_box[0], \$newest_box[2], \$newest_box[4], \$newest_box[6]) );\n";
		$daten .= "\$newest_max_x = max( array(\$newest_box[0], \$newest_box[2], \$newest_box[4], \$newest_box[6]) );\n";
		$daten .= "\$newest_width  = ( \$newest_max_x - \$newest_min_x );\n";
		$daten .= "\$newest_x = \$newest_width + 4;\n\n";
		$daten .= "// Threads\n";
		$daten .= "\$total_topics = dbcount(\"(thread_id)\", DB_THREADS);\n";
		$daten .= "\$topics_text = \$locale['MG_STATS_img05'];\n";
		$daten .= "\$topics_box = imagettfbbox(\$font_size, 0, \$font, \$topics_text);\n";
		$daten .= "\$topics_min_x = min( array(\$topics_box[0], \$topics_box[2], \$topics_box[4], \$topics_box[6]) );\n";
		$daten .= "\$topics_max_x = max( array(\$topics_box[0], \$topics_box[2], \$topics_box[4], \$topics_box[6]) );\n";
		$daten .= "\$topics_width  = ( \$topics_max_x - \$topics_min_x );\n";
		$daten .= "\$topics_x = \$topics_width + 4;\n\n";
		$daten .= "// User online\n";
		$daten .= "\$result1 = dbquery(\"SELECT online_user FROM \".DB_ONLINE.\" WHERE online_user!='0'\");\n";
		$daten .= "\$online_users = dbrows(\$result1);\n";
		$daten .= "\$online_text = \$locale['MG_STATS_img09'];\n";
		$daten .= "\$online_box = imagettfbbox(\$font_size, 0, \$font, \$online_text);\n";
		$daten .= "\$online_min_x = min( array(\$online_box[0], \$online_box[2], \$online_box[4], \$online_box[6]) );\n";
		$daten .= "\$online_max_x = max( array(\$online_box[0], \$online_box[2], \$online_box[4], \$online_box[6]) );\n";
		$daten .= "\$online_width  = ( \$online_max_x - \$online_min_x );\n";
		$daten .= "\$online_x = \$online_width + 4;\n\n";
		$daten .= "// Posts\n";
		$daten .= "\$total_posts = dbcount(\"(post_id)\", DB_POSTS);\n";
		$daten .= "\$posts_text = \$locale['MG_STATS_img10'];\n";
		$daten .= "\$posts_box = imagettfbbox(\$font_size, 0, \$font, \$posts_text);\n";
		$daten .= "\$posts_min_x = min( array(\$posts_box[0], \$posts_box[2], \$posts_box[4], \$posts_box[6]) );\n";
		$daten .= "\$posts_max_x = max( array(\$posts_box[0], \$posts_box[2], \$posts_box[4], \$posts_box[6]) );\n";
		$daten .= "\$posts_width  = ( \$posts_max_x - \$posts_min_x );\n";
		$daten .= "\$posts_x = \$posts_width + 4;\n\n";
		$daten .= "// Guests online\n";
		$daten .= "\$result = dbquery(\"SELECT online_user FROM \".DB_ONLINE.\" WHERE online_user='0'\");\n";
		$daten .= "\$online_guests = dbrows(\$result);\n";
		$daten .= "\$guests_text = \$locale['MG_STATS_img11'];\n";
		$daten .= "\$guests_box = imagettfbbox(\$font_size, 0, \$font, \$guests_text);\n";
		$daten .= "\$guests_min_x = min( array(\$guests_box[0], \$guests_box[2], \$guests_box[4], \$guests_box[6]) );\n";
		$daten .= "\$guests_max_x = max( array(\$guests_box[0], \$guests_box[2], \$guests_box[4], \$guests_box[6]) );\n";
		$daten .= "\$guests_width = ( \$guests_max_x - \$guests_min_x );\n";
		$daten .= "\$guests_x = \$guests_width + 4;\n\n";
		$daten .= "//Apply Text\n";
		$daten .= "ImageTTFText (\$im, \$font_size + 1, 0, 2, 12, \$titel_color, \$font, \$sitename);\n";
		$daten .= "ImageTTFText (\$im, 6, 0, 270, 12, \$wert_color, \$font, \$version);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 16, 26, \$text_color, \$font, \$users_text);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 16 + \$users_x, 26, \$wert_color, \$font, \$total_users);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 122, 26, \$text_color, \$font, \$newest_text);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 122 + \$newest_x, 26, \$wert_color, \$font, \$newest_user);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 16, 41, \$text_color, \$font, \$topics_text);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 16 + \$topics_x, 41, \$wert_color, \$font, \$total_topics);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 122, 41, \$text_color, \$font, \$online_text);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 122 + \$online_x, 41, \$wert_color, \$font, \$online_users);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 16, 56, \$text_color, \$font, \$posts_text);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 16 + \$posts_x, 56, \$wert_color, \$font, \$total_posts);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 122, 56, \$text_color, \$font, \$guests_text);\n";
		$daten .= "ImageTTFText (\$im, \$font_size, 0, 122 + \$guests_x, 56, \$wert_color, \$font, \$online_guests);\n\n";
		$daten .= "//Render Image\n";
		$daten .= "header(\"Content-Type: image/png\");\n";
		$daten .= "Imagepng(\$im);\n";
		$daten .= "ImageDestroy (\$im);\n";
		$daten .= "\n";
		$daten .= "?>";

		rewind($new_index_php); 
		fwrite($new_index_php, $daten); 
		fclose($new_index_php);
		chmod(BASEDIR."signaturen/".$name.".png/index.php", 0777);
		redirect(FUSION_SELF);


	} elseif (isset($_GET['del_sig'])) {
		unlink(BASEDIR."signaturen/".$name.".png/index.php");
		rmdir(BASEDIR."signaturen/".$name.".png");
		redirect(FUSION_SELF);
	} else {
	echo "<u><h2>".$locale['MG_STATS_10'].$sitename."</h2></u><br />";
	echo sprintf($locale['MG_STATS_11'], $sitename)."<br />";
	echo $locale['MG_STATS_12']."<br /><br />";
	
	if (file_exists(BASEDIR."signaturen/".$name.".png")) {
		echo "<u><strong>".$locale['MG_STATS_13']."</strong></u><br /><img src='".BASEDIR."signaturen/".$name.".png' style='margin:15px;' /><br /><a href='".FUSION_SELF."?del_sig=true'>".$locale['MG_STATS_14']."</a><br /><br />";

	echo "<u><strong>Anleitung:</strong></u><br /><br />";
	echo $locale['MG_STATS_15']."<br /><br />";
	echo "<u><strong>".$locale['MG_STATS_16']."</strong></u><br />".$locale['MG_STATS_17']."<br />";
	echo "<form name='sig1'>";
	echo "<textarea rows='3' name='txt' cols='60'>[center][url=".$siteurl."][img]".$siteurl."signaturen/".$name.".png[/img][/url][/center]</textarea><br />";
	echo "<input type='button' value='".$locale['MG_STATS_18']."' onClick=\"javascript:this.form.txt.focus();this.form.txt.select();\" style='font-size: 10;' class='button'>";
	echo "</form>";

	echo "<br /><u><strong>".$locale['MG_STATS_19']."</strong></u><br />".$locale['MG_STATS_20']."<br />";

	echo "<form name='sig2'>";
	echo "<textarea rows='3' name='txt' cols='60'>&lt;center&gt;&lt;a href='".$siteurl."' title=''&gt;&lt;img src='".$siteurl."signaturen/".$name.".png' title='".$sitename."' border='0' /&gt;&lt;/a&gt;&lt;/center&gt;</textarea><br />";
	echo "<input type='button' value='".$locale['MG_STATS_18']."' onClick=\"javascript:this.form.txt.focus();this.form.txt.select();\" style='font-size: 10;' class='button'>";
	echo "</form><br />";
	} else {
		echo "<u><strong>".$locale['MG_STATS_21']."</strong></u><br />";
		echo "<div style='position:relative; width:300px; margin:0 auto;'>";
		echo "<div id='preview_titel' style='color:#00FF99;'>".$sitename."</div>";
		echo "<div id='preview_version' style='color:#003399;'>".$version."</div>";
		echo "<div id='preview_name_text' style='color:#FFFFFF;'>".$locale['MG_STATS_img01']."</div>";
		echo "<div id='preview_name' style='color:#003399;'>".$userdata['user_name']."</div>";
		echo "<div id='preview_joined_text' style='color:#FFFFFF;'>".$locale['MG_STATS_img03']."</div>";
		echo "<div id='preview_joined' style='color:#003399;'>".$locale['MG_STATS_22']."</div>";
		echo "<div id='preview_threads_text' style='color:#FFFFFF;'>".$locale['MG_STATS_img05']."</div>";
		echo "<div id='preview_threads' style='color:#003399;'>".$locale['MG_STATS_22']."</div>";
		echo "<div id='preview_comments_text' style='color:#FFFFFF;'>".$locale['MG_STATS_img04']."</div>";
		echo "<div id='preview_comments' style='color:#003399;'>".$locale['MG_STATS_22']."</div>";
		echo "<div id='preview_posts_text' style='color:#FFFFFF;'>".$locale['MG_STATS_img02']."</div>";
		echo "<div id='preview_posts' style='color:#003399;'>".$locale['MG_STATS_22']."</div>";
		echo "<div id='preview_shouts_text' style='color:#FFFFFF;'>".$locale['MG_STATS_img06']."</div>";
		echo "<div id='preview_shouts' style='color:#003399;'>".$locale['MG_STATS_22']."</div>";
		echo "<img src='".BASEDIR."signaturen/user/blue.png'' />";
		echo "</div>";
		echo "<br /><br />";
		
		$image_files = makefilelist(BASEDIR."signaturen/user/", ".|..|index.php", true);
		$image_list = "<option value='blue.png'>".$locale['MG_STATS_23']."</option>\n";
		$image_list .= makefileopts($image_files);
		echo "<form name='create_user_sig_form' method='post' action='".FUSION_SELF."'>";
		echo "<table cellpadding='0' cellspacing='0' class='center'>\n";
		echo "<tr>\n";
		echo "<td align='center' colspan='2' class='tbl2' style='font-weight:bold;'>\n";
		echo $locale['MG_STATS_24'];
		echo "</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['MG_STATS_25']."</td>\n";
		echo "<td class='tbl1'><select name='banner_image' id='banner_image' class='textbox' onchange=\"Previewbanner();\">".$image_list."</select></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['MG_STATS_26']."</td>\n";
		echo "<td class='tbl1'><select name='banner_font' class='textbox'>";
		echo "<option value='arial' class='arial' selected>Arial</option>";
		echo "<option value='comic' class='comic'>Comic Sans MS</option>";
		echo "<option value='cour' class='courier'>Courier New</option>";
		echo "<option value='georgia' class='georgia'>Georgia</option>";
		echo "<option value='tahoma' class='tahoma'>Tahoma</option>";
		echo "<option value='times' class='times'>Times New Roman</option>";
		echo "<option value='verdana' class='verdana'>Verdana</option>";
		echo "</select></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['MG_STATS_27']."</td>\n";
		echo "<td class='tbl1'>";
		echo "<div style='position:relative;'>";
		echo "<img src='".BASEDIR."signaturen/user/blue.png' alt='banner' style='border:none' id='banner_preview' />";
		echo "<div id='preview_titel_color' style='color:#00FF99;'>".$sitename."</div>";
		echo "<div id='preview_text_color' style='color:#FFFFFF;'>".$locale['MG_STATS_img01']."</div>";
		echo "<div id='preview_wert_color' style='color:#003399;'>".$userdata['user_name']."</div>";
		echo "</div>\n";
		echo "</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td align='center' colspan='2' class='tbl2' style='font-weight:bold;'>\n";
		echo "".$locale['MG_STATS_28']."";
		echo "</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['MG_STATS_29']."</td>\n";
		echo "<td class='tbl1'>";
		echo "".MG_STATS_color_mapper("titel_color", "00FF99")."";
		echo "</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['MG_STATS_30']."</td>\n";
		echo "<td class='tbl1'>";
		echo "".MG_STATS_color_mapper("text_color", "FFFFFF")."";
		echo "</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['MG_STATS_31']."</td>\n";
		echo "<td class='tbl1'>";
		echo "".MG_STATS_color_mapper("wert_color", "003399")."";
		echo "</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td colspan='2' class='tbl2' style='text-align;center;'>\n";
		echo "<input type='submit' name='create_user_sig' value='".$locale['MG_STATS_24']."' class='button' /></td>\n";
		echo "</tr>\n";
		echo "</table>\n";
		echo "</form>\n";
		echo "<script type='text/javascript'>\n";
		echo "function Previewbanner() {\n";
		echo "\tvar selectbanner = document.getElementById('banner_image');\n";
		echo "\tvar imagebanner = document.getElementById('banner_preview');\n";
		echo "\tvar optionValue = selectbanner.options[selectbanner.selectedIndex].value;\n";
		echo "\tif (optionValue!='') {\n";
		echo "\t\timagebanner.src = '".BASEDIR."signaturen/user/' + optionValue;\n";
		echo "\t} else {\n";
		echo "\t\timagebanner.src = '".BASEDIR."signaturen/user/blue.png';\n";
		echo "\t}\n";
		echo "}\n";
		echo "</script>\n";
		if(iADMIN) {
		echo "<center><hr /><br /><b>".$locale['MG_STATS_32']."</b><br /><br /></center>";
		$admin_image_files = makefilelist(BASEDIR."signaturen/admin/", ".|..|index.php", true);
		$admin_image_list = "<option value='blue.png'>".$locale['MG_STATS_23']."</option>\n";
		$admin_image_list .= makefileopts($admin_image_files);
		echo "<form name='create_user_sig_form' method='post' action='".FUSION_SELF."'>";
		echo "<table cellpadding='0' cellspacing='0' class='center'>\n";
		echo "<tr>\n";
		echo "<td align='center' colspan='2' class='tbl2' style='font-weight:bold;'>\n";
		echo $locale['MG_STATS_24a'];
		echo "</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['MG_STATS_25']."</td>\n";
		echo "<td class='tbl1'><select name='admin_banner_image' id='admin_banner_image' class='textbox' onchange=\"Previewadminbanner();\">".$admin_image_list."</select></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['MG_STATS_26']."</td>\n";
		echo "<td class='tbl1'><select name='admin_font' class='textbox'>";
		echo "<option value='arial' class='arial' selected>Arial</option>";
		echo "<option value='comic' class='comic'>Comic Sans MS</option>";
		echo "<option value='cour' class='courier'>Courier New</option>";
		echo "<option value='georgia' class='georgia'>Georgia</option>";
		echo "<option value='tahoma' class='tahoma'>Tahoma</option>";
		echo "<option value='times' class='times'>Times New Roman</option>";
		echo "<option value='verdana' class='verdana'>Verdana</option>";
		echo "</select></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['MG_STATS_27']."</td>\n";
		echo "<td class='tbl1'>";
		echo "<div style='position:relative;'>";
		echo "<img src='".BASEDIR."signaturen/admin/blue.png' alt='banner' style='border:none' id='admin_banner_preview' />";
		echo "<div id='preview_admin_titel_color' style='color:#00FF99;'>".$sitename."</div>";
		echo "<div id='preview_admin_text_color' style='color:#FFFFFF;'>".$locale['MG_STATS_img07']."</div>";
		echo "<div id='preview_admin_wert_color' style='color:#003399;'>".(dbcount("(user_id)", DB_USERS) * 100)."</div>";
		echo "</div>\n";
		echo "</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td align='center' colspan='2' class='tbl2' style='font-weight:bold;'>\n";
		echo "".$locale['MG_STATS_28']."";
		echo "</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['MG_STATS_29']."</td>\n";
		echo "<td class='tbl1'>";
		echo "".MG_STATS_color_mapper("admin_titel_color", "00FF99")."";
		echo "</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['MG_STATS_30']."</td>\n";
		echo "<td class='tbl1'>";
		echo "".MG_STATS_color_mapper("admin_text_color", "FFFFFF")."";
		echo "</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['MG_STATS_31']."</td>\n";
		echo "<td class='tbl1'>";
		echo "".MG_STATS_color_mapper("admin_wert_color", "003399")."";
		echo "</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td colspan='2' class='tbl2' style='text-align;center;'>\n";
		echo "<input type='submit' name='create_admin_sig' value='".$locale['MG_STATS_24a']."' class='button' /></td>\n";
		echo "</tr>\n";
		echo "</table>\n";
		echo "</form>\n";
		echo "<script type='text/javascript'>\n";
		echo "function Previewadminbanner() {\n";
		echo "\tvar adminselectbanner = document.getElementById('admin_banner_image');\n";
		echo "\tvar adminimagebanner = document.getElementById('admin_banner_preview');\n";
		echo "\tvar optionValue = adminselectbanner.options[adminselectbanner.selectedIndex].value;\n";
		echo "\tif (optionValue!='') {\n";
		echo "\t\tadminimagebanner.src = '".BASEDIR."signaturen/admin/' + optionValue;\n";
		echo "\t} else {\n";
		echo "\t\tadminimagebanner.src = '".BASEDIR."signaturen/admin/blue.png';\n";
		echo "\t}\n";
		echo "}\n";
		echo "</script>\n";
		}
	}
	
	
	}
echo "</div>";
closetable();
} else {
	opentable($locale['MG_STATS_33']);
	echo "<div style='text-align:center;'><img src='".INFUSIONS."mg_sitestats_banner/images/stop.png' title='Stop!' style='padding:15px;' /><br /><br />".$locale['MG_STATS_34']."<br /><br />
	<img src='".THEME."images/bullet.gif' /><a href='".BASEDIR."register.php'> ".$locale['global_107']." </a><img src='".THEME."images/bulletb.gif' /><br />
	<img src='".THEME."images/bullet.gif' /><a href='".BASEDIR."lostpassword.php'> ".$locale['global_108']."? </a><img src='".THEME."images/bulletb.gif' /><br />
	<img src='".THEME."images/bullet.gif' /><a href='".BASEDIR."login.php'> ".$locale['global_104']." </a><img src='".THEME."images/bulletb.gif' /><br /><br /></div>\n";
	closetable();
}
echo MG_STATS_Copyright();

require_once THEMES."templates/footer.php";
?>