<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: new_infusion_admin.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

// Turn off all error reporting
//error_reporting(0);
// Report all PHP errors (see changelog)
error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

if (!checkrights("STAT") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_sitestats_banner/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_sitestats_banner/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_sitestats_banner/locale/German.php";
}

include_once INFUSIONS."mg_sitestats_banner/includes/functions.php";

if(isset($_GET['del_sig'])) {
	$file = stripinput($_GET['file']);
	@unlink(BASEDIR."signaturen/".$file."/index.php");
	@rmdir(BASEDIR."signaturen/".$file);
	redirect(FUSION_SELF.$aidlink);
} elseif(isset($_GET['del_all'])) {

	$ordner = BASEDIR."signaturen";
	$handle = opendir($ordner);
	$filter = array(".", "..", "admin", "user", "fonts", "index.php");
	$i = 0;
	$banners = "";
	$files = array();
	while ($file = readdir ($handle)) {
		if(!in_array($file, $filter)) {
			@unlink(BASEDIR."signaturen/".$file."/index.php");
			@rmdir(BASEDIR."signaturen/".$file);
		}
	}
	redirect(FUSION_SELF.$aidlink);
} else {

opentable($locale['MG_STATS_admin1']);

$ordner = BASEDIR."signaturen";
$handle = opendir($ordner);
$filter = array(".", "..", "admin", "user", "fonts", "index.php");
$i = 0;
$banners = "";
$files = array();
while ($file = readdir ($handle)) {
    if(!in_array($file, $filter)) {
		$files[] = $file;
	}
}
array_multisort($files); 
foreach ($files as $value) 
    {
		$class = ($i%2 ? "tbl2" : "tbl1");
		$banners .= "<tr class='".$class."'><td colspan='2'>".$value."</td></tr>";
		$banners .= "<tr class='".$class."'><td><img src='".BASEDIR."signaturen/".$value."' /></td><td><a href='".FUSION_SELF.$aidlink."&amp;del_sig=true&amp;file=".$value."'><img src='".INFUSIONS."mg_sitestats_banner/images/cross.png' style='vertical-align:middle;border:none;' title='".$locale['MG_STATS_01']."' /></a></td></tr>";
		$i++;
    }
echo "<table class='tbl-border center' cellpadding='2' cellspacing='0' width='400px'>";
echo "<tr class='tbl2'>";
echo "<td style='font-weight:bold;text-align:center;'>".$i." ".$locale['MG_STATS_02'].($i == 0 ? "." : ":")."</td>";
echo "<td style='text-align:center;'><a href='".FUSION_SELF.$aidlink."&amp;del_all=true'>".$locale['MG_STATS_03']."</a></td>";
echo "</tr>";
echo $banners;
echo "</table>";
closedir($handle);

closetable();
echo MG_STATS_Copyright();
}

require_once THEMES."templates/footer.php";
?>